Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.jetspeed.portlet
Interface Client

public interface Client

The `Client` interface represents the client device that the user connects to the portal with. It defines defines methods to obtain information about clients, e.g. browsers running on PCs, WAP phones, PDAs or on voice gateways.

This class may need to be reviewed once the picture on CC/PP is much clearer.

Author:
  Thomas F. Boehme

Method Summary
`java.lang.String` | `getManufacturer()` Returns the name of the manufacturer of this client.
`java.lang.String` | `getMimeType()` Returns the preferred mime-type that this client device supports.
`java.util.Enumeration` | `getMimeTypes()` Returns an array of mime-types in decreasing order of preferrence.
`java.lang.String` | `getModel()` Returns the name of the model of this client.
`java.lang.String` | `getUserAgent()` Returns the exact user agent that this client uses to connect to the portal.
`java.lang.String` | `getVersion()` Returns the version of the model of this client.
`boolean` | `isCapableOf(Capability capability)` Returns whether this client has the given capability.
`boolean` | `isCapableOf(Capability[] capabilities)` Returns whether this client has the given capabilities.

Method Detail

### getManufacturer

    public java.lang.String getManufacturer()

  Returns the name of the manufacturer of this client. If the name does not exist

  Returns:
    the manufacturer

### getModel

    public java.lang.String getModel()

  Returns the name of the model of this client.

  Returns:
    the model

### getVersion

    public java.lang.String getVersion()

  Returns the version of the model of this client.

  Returns:
    the version

### getUserAgent

    public java.lang.String getUserAgent()

  Returns the exact user agent that this client uses to connect to the portal.

  Returns:
    the user agent

### isCapableOf

    public boolean isCapableOf(Capability capability)

  Returns whether this client has the given capability. If the portal does not know enough about the client, it has to be on the safe side and return `false`.

  Returns:
    `true` if the client has the given capability,
    `false` otherwise
  See Also:
    `isCapableOf(Capability[])`

### isCapableOf

    public boolean isCapableOf(Capability[] capabilities)

  Returns whether this client has the given capabilities. The array of capability is tested in its entirety, ie. only if the client is capable of every single capability this methods returns `true`.

  ``
  Returns:
    `true` if the client has the given capability,
    `false` otherwise
  See Also:
    `isCapableOf(Capability)`

### getMimeType

    public java.lang.String getMimeType()

  Returns the preferred mime-type that this client device supports.

  Returns:
    the mime-type

### getMimeTypes

    public java.util.Enumeration getMimeTypes()

  Returns an array of mime-types in decreasing order of preferrence.

  Returns:
    an enumeration of mime-types

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 Apache Software Foundation. All Rights Reserved.